#include <cstdio>
#include "thing.hh"

class Papa : public Thing
{
public:
	Papa()
	{
		std::printf(" Papa comes.\n");
	}
	virtual ~Papa()
	{
		std::printf(" Papa goes.\n");
	}
	virtual void Wave()
	{
		std::printf(" Papa waves.\n");
	}
};

#include "dynlib.hh"

static void *newpapa(void) { return new Papa; }

dyncontent contents[] =
{
	{ BASETYPE_THING, "Papa", newpapa },
	
	{ 0, NULL, NULL }
};
